Bug 226300 - Review Request: pkinit-nss - PKINIT for MIT Kerberos
Review Request: pkinit-nss - PKINIT for MIT Kerberos
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
: 239086 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:40 EST by Nobody's working on this, feel free to take it
Modified: 2008-12-19 13:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 13:08:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:40:55 EST
Fedora Merge Review: pkinit-nss

http://cvs.fedora.redhat.com/viewcvs/devel/pkinit-nss/
Initial Owner: nalin@redhat.com
Comment 1 Nalin Dahyabhai 2007-06-05 12:32:59 EDT
*** Bug 239086 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2008-12-19 01:56:19 EST
I can find no package in the distro with this name, nor any record that there has ever been a package in Fedora with this name.  Any idea what might be going on?  The ticket which was closed as a dup looks like a regular package submission.
Comment 3 Nalin Dahyabhai 2008-12-19 11:07:47 EST
(In reply to comment #2)
> I can find no package in the distro with this name, nor any record that there
> has ever been a package in Fedora with this name.  Any idea what might be going
> on?  The ticket which was closed as a dup looks like a regular package
> submission.

Yes, it was.  When I realized I'd filed a duplicate of this request, I closed the one I'd filed as a duplicate.  This one... I guess it's still pending.  Note that in the meantime we've updated to 1.6.3, which includes a different implementation, and ATM I'm not sure what to expect if you manage to install both at once (though I suspect the first one which loads will be used, since as far as libkrb5 is concerned they're equivalent).
Comment 4 Nalin Dahyabhai 2008-12-19 11:08:45 EST
I should also note that the SCM for the package has moved to:
http://git.fedorahosted.org/git/pkinit-nss.git
Comment 5 Jason Tibbitts 2008-12-19 12:11:00 EST
Thanks for responding!  When you say "updated to 1.6.3" above I'm guessing you mean MIT Kerberos 1.6.3.  Does its inclusion of pkinit functionality imply that this package isn't needed any longer?  Or would you still like to have it in the distro?

If the latter, I'll be happy to take a look although my kerberos knowledge isn't advanced enough to understand the pkinit stuff.  All I really need is a link to a current src.rpm and spec file.  I'll update this so that it looks less like a merge review and hopefully won't get lost again.
Comment 6 Nalin Dahyabhai 2008-12-19 13:05:35 EST
(In reply to comment #5)
> Thanks for responding!  When you say "updated to 1.6.3" above I'm guessing you
> mean MIT Kerberos 1.6.3.

That's right.

>                           Does its inclusion of pkinit functionality imply that
> this package isn't needed any longer?  Or would you still like to have it in
> the distro?

Its main goal was to be ready in time for the EL5 release, as the upstream 1.6.3 release and module it includes weren't available yet.  Going forward, I'd rather reuse more of the upstream module and integrate NSS at its internal crypto abstraction points.  Beyond curiosity and compatibility with EL5 (I'm hoping to have the time to get the other work done in the F11/F12 timeframe, and switch to that), there's not much to be gained by moving this particular module forward any more.

Thanks for following up on this.
Comment 7 Jason Tibbitts 2008-12-19 13:08:52 EST
No problem.  I guess I'll go ahead and close this.  Sorry it got lost in the noise originally.

If you do change your mind, just reopen or go ahead and open a new review ticket and I'll try to take a look.

Note You need to log in before you can comment on or make changes to this bug.